### Constructor

# Aravis GvDevice new

since: 0.8.0

#### Declaration [src]

    ArvDevice*
    arv_gv_device_new (
      GInetAddress* interface_address,
      GInetAddress* device_address,
      GError** error
    )

#### Description

No description available.

Available since: 0.8.0

#### Parameters

`interface_address`

  Type: `GInetAddress`

  Address of the interface connected to the device.

  The data is owned by the caller of the function.

`device_address`

  Type: `GInetAddress`

  Device address.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ArvDevice`

A newly created `ArvDevice` using GigE protocol.

The caller of the function takes ownership of the data, and is responsible for freeing it.